/***************************************************
** Microsoft SQL Server 2000 Programming by Example
** ISBN 0-7897-2449-9
** Carlos Eduardo Rojas and Fernando G. Guerrero
** Copyright 2001 by QUE Corporation
** Source code. Listing 1.2, Version 1.0, 2000-04-24
****************************************************/

-- Note:
--
-- The statements
--		IF NOT EXISTS (SELECT * 
--			FROM dbo.sysusers 
--			WHERE name = N'???????' 
--			AND uid < 16382)
--
-- have been added to the original code
-- to prevent errors on multiple executions 
-- of the same script, but they don't form part 
-- of the skills-set to learn from this example

 
USE Northwind
GO

-- Create a Tim user in the Northwind database

IF NOT EXISTS (SELECT * 
	FROM dbo.sysusers 
	WHERE name = N'Tim' 
	AND uid < 16382)

EXEC sp_grantdbaccess
	@loginame = 'Tim'

-- Create a User in Northwind
-- for the local Guest login

IF NOT EXISTS (SELECT * 
	FROM dbo.sysusers 
	WHERE name = N'LocalGuest' 
	AND uid < 16382)

EXEC sp_grantdbaccess
	  @loginame = 'BUILTIN\Guest'
	, @name_in_db = 'LocalGuest'

-- Create a user in Northwind
-- for the domain Guest account

IF NOT EXISTS (SELECT * 
	FROM dbo.sysusers 
	WHERE name = N'GlobalGuest' 
	AND uid < 16382)

EXEC sp_grantdbaccess
	  @loginame = 'YourDomain\Guest'
	, @name_in_db = 'GlobalGuest'

-- Create a user in Northwind
-- for the local group Users Windows account

IF NOT EXISTS (SELECT * 
	FROM dbo.sysusers 
	WHERE name = N'LocalUsers' 
	AND uid < 16382)

EXEC sp_grantdbaccess
	  @loginame = 'BUILTIN\Users'
	, @name_in_db = 'LocalUsers'

-- Create a user in Northwind
-- for the domain group Domain Users account

IF NOT EXISTS (SELECT * 
	FROM dbo.sysusers 
	WHERE name = N'GlobalUsers' 
	AND uid < 16382)

EXEC sp_grantdbaccess
	  @loginame = 'YourDomain\Domain Users'
	, @name_in_db = 'GlobalUsers'
