/***************************************************
** Microsoft SQL Server 2000 Programming by Example
** ISBN 0-7897-2449-9
** Carlos Eduardo Rojas and Fernando G. Guerrero
** Copyright 2001 by QUE Corporation,
** Source code. Listing 4.13, Version 1.0, 2001-04-01
****************************************************/

USE Northwind

-- Returns all employees whose last name begins with 'b'
-- and don't live in Seattle, Redmond or Tacoma
SELECT lastname, firstname, city
FROM Employees
WHERE lastname LIKE 'b%'
AND city NOT IN ('seattle','redmond','tacoma')

-- Returns all employees that either:
-- were hired between 1/1/1993 and 12/31/1993
-- or live in any other city than London
SELECT lastname, firstname, city, hiredate
FROM Employees
WHERE hiredate BETWEEN '1993.1.1' AND '1993.12.31'
OR city <> 'london'
GO

