/***************************************************
** Microsoft SQL Server 2000 Programming by Example
** ISBN 0-7897-2449-9
** Carlos Eduardo Rojas and Fernando G. Guerrero
** Copyright 2001 by QUE Corporation
** Source code. Listing 6.10, Version 1.0, 2001-04-24
****************************************************/

-- Note:
--
-- The statements
--	IF EXISTS (SELECT * 
--		FROM dbo.sysindexes 
--		WHERE id = object_id(N'??????') 
--		AND name = '????????')
--	DROP INDEX ???????????.??????????
--
-- have been added to the original code
-- to prevent errors on multiple executions 
-- of the same script, but they don't form part 
-- of the skills-set to learn from this example

USE Northwind
GO

IF EXISTS (SELECT * 
	FROM dbo.sysindexes 
	WHERE id = object_id(N'[dbo].[Customers]') 
	AND name = 'ndx_Customers_Company_Phone')
DROP INDEX Customers.ndx_Customers_Company_Phone

IF EXISTS (SELECT * 
	FROM dbo.sysindexes 
	WHERE id = object_id(N'[dbo].[Customers]') 
	AND name = 'ndx_Customers_Phone_Company')
DROP INDEX Customers.ndx_Customers_Phone_Company
GO

CREATE INDEX ndx_Customers_Company_Phone
ON Customers(CompanyName, Phone)

CREATE INDEX ndx_Customers_Phone_Company
ON Customers(Phone, CompanyName)
