/***************************************************
** Microsoft SQL Server 2000 Programming by Example
** ISBN 0-7897-2449-9
** Carlos Eduardo Rojas and Fernando G. Guerrero
** Copyright 2001 by QUE Corporation
** Source code. Listing 7.4, Version 1.0, 2001-04-24
****************************************************/

-- Define a UNIQUE constraint in a single column
-- using the default constraint name

CREATE TABLE NewRegions (
	RegionID int NOT NULL
		UNIQUE NONCLUSTERED
	, RegionDescription nchar (50) NOT NULL ,
)
GO

DROP TABLE NewRegions
GO

-- Define a UNIQUE constraint in a single column
-- specifying the constraint name

CREATE TABLE NewRegions (
	RegionID int NOT NULL
		CONSTRAINT UC_NewRegions
		UNIQUE NONCLUSTERED
	, RegionDescription nchar (50) NOT NULL ,
)
GO

DROP TABLE NewRegions
GO

-- Define a UNIQUE constraint in a single column
-- specifying the constraint name
-- and defining the constraint at table level

CREATE TABLE NewRegions (
	RegionID int NOT NULL
	, RegionDescription nchar (50) NOT NULL
	, CONSTRAINT UC_NewRegions
		UNIQUE NONCLUSTERED (RegionID)
)
GO

DROP TABLE NewRegions
GO

-- Define a UNIQUE constraint in a single column
-- specifying the constraint name
-- and defining the constraint at table level
-- using the ALTER TABLE statement

CREATE TABLE NewRegions (
	RegionID int NOT NULL
	, RegionDescription nchar (50) NOT NULL
)

ALTER TABLE NewRegions
ADD CONSTRAINT UC_NewRegions
	UNIQUE NONCLUSTERED (RegionID)
GO

DROP TABLE NewRegions
GO
