/***************************************************
** Microsoft SQL Server 2000 Programming by Example
** ISBN 0-7897-2449-9
** Carlos Eduardo Rojas and Fernando G. Guerrero
** Copyright 2001 by QUE Corporation
** Source code. Listing 7.10, Version 1.0, 2001-04-24
****************************************************/

-- Create a CHECK constraint
-- in existing tables specifying
-- the constraint name and defining
-- the constraint at table level
-- using the ALTER TABLE statement
-- checking existing data


-- Create table

CREATE TABLE NewOrders (
	OrderID int NOT NULL
	, CustomerID int NOT NULL
	, SaleDate smalldatetime NOT NULL 
	, DueDate smalldatetime NOT NULL
	, ShipmentMethod char(1) NOT NULL
)

-- Create constraint

ALTER TABLE NewOrders
ADD CONSTRAINT CC_Order_DueDate
	CHECK (DATEDIFF(day, SaleDate, DueDate) <= 90)

-- Disable constraint

ALTER TABLE NewOrders
NOCHECK CONSTRAINT CC_Order_DueDate

-- Reenable constraint

ALTER TABLE NewOrders
CHECK CONSTRAINT CC_Order_DueDate
GO

DROP TABLE NewOrders
GO
