/***************************************************
** Microsoft SQL Server 2000 Programming by Example
** ISBN 0-7897-2449-9
** Carlos Eduardo Rojas and Fernando G. Guerrero
** Copyright 2001 by QUE Corporation
** Source code. Listing 7.13, Version 1.0, 2001-04-24
****************************************************/

-- Create the table NewCustomers
-- providing the value 'London'
-- as a column DEFAULT definition
-- for the City column,
-- a named DEFAULT constraint
-- for the Customername column,
-- The current date and time
-- for the CreaDate column
-- and the login name
-- for the CreaUser column


CREATE TABLE NewCustomers(
     CustomerID int NOT NULL
		IDENTITY(1,1)
		PRIMARY KEY
	, CustomerName varchar(30) NOT NULL
		CONSTRAINT Def_CustName
		DEFAULT 'To be entered'
	, City varchar(30)
		DEFAULT 'London'
	, CreaDate smalldatetime
		DEFAULT Getdate()
	, CreaUser nvarchar(128)
		DEFAULT System_User
)
GO

-- Insert data into the NewCustomers table
-- Providing values for CustomerName
-- and City fields

INSERT NewCustomers (CustomerName, City)
VALUES ('MyComp corp.', 'New York')

-- Insert data into the NewCustomers table
-- Omitting to enter the City field

INSERT NewCustomers (CustomerName)
VALUES ('ACME Inc.')


SELECT *
FROM NewCustomers

-- Insert data into the NewCustomers table
-- Providing the default value
-- for the City field

INSERT NewCustomers (CustomerName, City)
VALUES ('NewDotCompany Ltd.', DEFAULT)

SELECT *
FROM NewCustomers

-- Insert data into the NewCustomers table
-- Providing the default value
-- for every nonnull field

INSERT NewCustomers
DEFAULT VALUES

SELECT *
FROM NewCustomers

-- Drop the test table

DROP TABLE NewCustomers
