/***************************************************
** Microsoft SQL Server 2000 Programming by Example
** ISBN 0-7897-2449-9
** Carlos Eduardo Rojas and Fernando G. Guerrero
** Copyright 2001 by QUE Corporation
** Source code. Listing 7.14, Version 1.0, 2001-04-24
****************************************************/

-- Create the table NewCustomers
-- providing the value 'London'
-- as a column DEFAULT definition
-- for the City column,
-- and a named DEFAULT constraint
-- for the CustomerName column


CREATE TABLE NewCustomers(
	  CustomerID int NOT NULL
		IDENTITY(1,1)
		PRIMARY KEY
	, CustomerName varchar(30) NOT NULL
		CONSTRAINT Def_CustName
		DEFAULT 'To be entered'
	, City varchar(30)
		DEFAULT 'London'
	, CreaDate smalldatetime
)
GO

-- Use ALTER TABLE
-- to add a new column
-- with a DEFAULT definition

ALTER TABLE NewCustomers
ADD CreaUser nvarchar(128)
	DEFAULT SYSTEM_USER

-- Use ALTER TABLE
-- to add a DEFAULT definition
-- to an existing column

ALTER TABLE NewCustomers
ADD CONSTRAINT Def_Cust_CreaDate
	DEFAULT CURRENT_TIMESTAMP
	FOR CreaDate

GO

-- Drop the test table

DROP TABLE NewCustomers
