/***************************************************
** Microsoft SQL Server 2000 Programming by Example
** ISBN 0-7897-2449-9
** Carlos Eduardo Rojas and Fernando G. Guerrero
** Copyright 2001 by QUE Corporation
** Source code. Listing 7.15, Version 1.0, 2001-04-24
****************************************************/

-- Create the table NewCustomers
-- providing the value 'London'
-- as a column DEFAULT definition
-- for the City column,
-- and a named DEFAULT constraint
-- for the Customername column

CREATE TABLE NewCustomers(
	  CustomerID int NOT NULL
		IDENTITY(1,1)
		PRIMARY KEY
	, CustomerName varchar(30) NOT NULL
		CONSTRAINT Def_CustName
		DEFAULT 'To be entered'
	, City varchar(30)
		DEFAULT 'London'
	, CreaDate smalldatetime
		DEFAULT CURRENT_TIMESTAMP
)
GO

-- Insert some data

INSERT NewCustomers (CustomerName, City)
VALUES ('MyComp corp.', 'New York')

INSERT NewCustomers (CustomerName)
VALUES ('ACME Inc.')

INSERT NewCustomers (CustomerName, City)
VALUES ('NewDotCompany Ltd.', DEFAULT)

INSERT NewCustomers
DEFAULT VALUES

SELECT *
FROM NewCustomers
GO

-- Use ALTER TABLE
-- to add a new column
-- with a DEFAULT definition
-- filling this new column
-- in existing rows

ALTER TABLE NewCustomers
ADD CreditLimit money
	DEFAULT 1000.0
	WITH VALUES

SELECT *
FROM NewCustomers

GO

-- Drop the test table
DROP TABLE NewCustomers
