/***************************************************
** Microsoft SQL Server 2000 Programming by Example
** ISBN 0-7897-2449-9
** Carlos Eduardo Rojas and Fernando G. Guerrero
** Copyright 2001 by QUE Corporation
** Source code. Listing 7.20, Version 1.0, 2001-04-24
****************************************************/

-- Define a Table to test RULE Creation

CREATE TABLE NewEmployees (
	  EmployeeID int NOT NULL
	, EmployeeName varchar(50) NOT NULL
	, PostCode char(5) NOT NULL 
)
GO

-- Create the RULE object

CREATE RULE RUPostCode
AS
(@PCode LIKE '[0-9][0-9][0-9][0-9][0-9]')
GO

-- Bind the RULE to the PostCode column

EXEC sp_bindrule 'RUPostCode', 'NewEmployees.PostCode'
GO

-- Insert data in the table to test the RULE

INSERT NewEmployees
VALUES (1, 'Paul', 'GL513')

INSERT NewEmployees
VALUES (2, 'Eladio', '01380')

SELECT *
FROM NewEmployees

GO


DROP TABLE NewEmployees
GO

DROP RULE RUPostCode
GO
