/***************************************************
** Microsoft SQL Server 2000 Programming by Example
** ISBN 0-7897-2449-9
** Carlos Eduardo Rojas and Fernando G. Guerrero
** Copyright 2001 by QUE Corporation
** Source code. Listing 9.14, Version 1.0, 2001-04-24
****************************************************/

USE Northwind
GO

-- Create multiple triggers on the customer table
-- to track UPDATE actions

CREATE TRIGGER tr1_Customers
ON Customers
AFTER UPDATE
AS
-- Your code here
PRINT 'This is the tr1 trigger'
GO

CREATE TRIGGER tr2_Customers
ON Customers
AFTER UPDATE
AS
-- Your code here
PRINT 'This is the tr2 trigger'
GO

CREATE TRIGGER tr3_Customers
ON Customers
AFTER UPDATE
AS
-- Your code here
PRINT 'This is the tr3 trigger'
GO

-- Test the order of execution
-- By using a MOCK operation

UPDATE Customers
SET ContactName = ContactName
GO

-- Specify the tr3 trigger as first trigger to execute

EXEC sp_settriggerorder 'tr3_Customers', 'FIRST', 'UPDATE'

-- Specify the tr2 trigger as last trigger to execute

EXEC sp_settriggerorder 'tr2_Customers', 'LAST', 'UPDATE'

-- Specify the tr1 trigger as any order to execute

EXEC sp_settriggerorder 'tr1_Customers', 'NONE', 'UPDATE'

GO

-- Test the order of execution
-- By using a MOCK operation

PRINT CHAR(10) + 'After reordering' + CHAR(10)

UPDATE Customers
SET ContactName = ContactName
GO
