/***************************************************
** Microsoft SQL Server 2000 Programming by Example
** ISBN 0-7897-2449-9
** Carlos Eduardo Rojas and Fernando G. Guerrero
** Copyright 2001 by QUE Corporation
** Source code. Listing 9.17, Version 1.0, 2001-04-24
****************************************************/

USE Northwind
GO

-- Create a trigger to restrict
-- modifications to the employees table
-- to the dbo

CREATE TRIGGER tr_Employees
ON Employees
AFTER UPDATE, INSERT, DELETE
AS
	IF CURRENT_USER <> 'dbo'
	BEGIN
		RAISERROR ('Only Database Owners can modify Employees, transaction rolled back', 10, 1)
		ROLLBACK TRAN
	END
GO

-- Modify the trigger to restrict
-- modifications to the employees table
-- to the members of the db_owner role

ALTER TRIGGER tr_Employees
ON Employees
AFTER UPDATE, INSERT, DELETE
AS
	IF IS_MEMBER('db_owner') <> 1
	BEGIN
		RAISERROR ('Only Database Owners can modify Employees, transaction rolled back', 10 ,1)
		ROLLBACK TRAN
	END
GO
