/***************************************************
** Microsoft SQL Server 2000 Programming by Example
** ISBN 0-7897-2449-9
** Carlos Eduardo Rojas and Fernando G. Guerrero
** Copyright 2001 by QUE Corporation
** Source code. Listing 10.12, Version 1.0, 2001-04-25
****************************************************/

USE Northwind
GO

-- Use the TotalPrice function to retrieve
-- information from the Order Details table

SELECT OrderID
	, ProductID
	, dbo.TotalPrice(Quantity, UnitPrice, Discount) AS TotalPrice
FROM [Order Details]
WHERE ProductID = 12

-- Use the SimpleEncrypt function to encrypt product names

SELECT ProductID
	, dbo.SimpleEncrypt(ProductName) AS EncryptedName
FROM Products
WHERE CategoryID = 3

-- Use the SimpleDecrypt function to decrypt
-- a field encrypted with the SimpleEncrypt function

SELECT ProductID
	, dbo.SimpleDecrypt(EncryptedName) AS ProductName
FROM (
	SELECT ProductID
		, CategoryID
		, dbo.SimpleEncrypt(ProductName) AS EncryptedName
	FROM Products
	) AS P
WHERE CategoryID = 3
