/***************************************************
** Microsoft SQL Server 2000 Programming by Example
** ISBN 0-7897-2449-9
** Carlos Eduardo Rojas and Fernando G. Guerrero
** Copyright 2001 by QUE Corporation,
** Source code. Listing 10.17, Version 1.0, 2001-04-04
****************************************************/

USE Northwind
GO

PRINT CHAR(10) + 'Before the Insert' + CHAR(10)

SELECT CustomerID, CompanyName, Country
FROM dbo.GetCustomersFromUsa()
WHERE CustomerID > 'W'

INSERT dbo.GetCustomersFromUSA() 
	(CustomerID, CompanyName, Country)
VALUES ('ZZZZZ', 'Dummy Customer', 'USA')

PRINT CHAR(10) + 'After the Insert' + CHAR(10)

SELECT CustomerID, CompanyName, Country
FROM dbo.GetCustomersFromUsa()
WHERE CustomerID > 'W'

UPDATE dbo.GetCustomersFromUSA()
SET CompanyName = 'New Customer'
WHERE CustomerID = 'ZZZZZ'

PRINT CHAR(10) + 'After the Update' + CHAR(10)

SELECT CustomerID, CompanyName, Country
FROM dbo.GetCustomersFromUsa()
WHERE CustomerID > 'W'

DELETE dbo.GetCustomersFromUSA()
WHERE CustomerID = 'ZZZZZ'

PRINT CHAR(10) + 'After the Delete' + CHAR(10)

SELECT CustomerID, CompanyName, Country
FROM dbo.GetCustomersFromUsa()
WHERE CustomerID > 'W'
GO

DECLARE @ID int

PRINT CHAR(10) + 'Before the Insert' + CHAR(10)

SELECT CustomerID, OrderID, TotalValue, OrderDate
FROM dbo.OrdersWithValue()
WHERE CustomerID = 'VINET'

INSERT dbo.OrdersWithValue() 
	(CustomerID, OrderDate)
SELECT 'VINET', dbo.Today()

-- Retrieve the latest Identity value in this session

SET @ID = SCOPE_IDENTITY()

INSERT [Order Details]
	(OrderID, ProductID, Quantity, UnitPrice, Discount)
SELECT @ID, 28, 10, UnitPrice, 0.1
FROM Products
WHERE ProductID = 28

PRINT CHAR(10) + 'After the Insert' + CHAR(10)

SELECT CustomerID, OrderID, TotalValue, OrderDate
FROM dbo.OrdersWithValue()
WHERE CustomerID = 'VINET'

DELETE [Order Details]
WHERE OrderID = @ID

DELETE Orders
WHERE OrderID = @ID

PRINT CHAR(10) + 'After the Delete' + CHAR(10)

SELECT CustomerID, OrderID, TotalValue, OrderDate
FROM dbo.OrdersWithValue()
WHERE CustomerID = 'VINET'
