/***************************************************
** Microsoft SQL Server 2000 Programming by Example
** ISBN 0-7897-2449-9
** Carlos Eduardo Rojas and Fernando G. Guerrero
** Copyright 2001 by QUE Corporation,
** Source code. Listing 10.24, Version 1.0, 2001-04-04
****************************************************/


USE Northwind
GO

-- sp_fv with the same functionality
-- as the fn_fv function

CREATE PROCEDURE sp_fv
	@rate float, @nper int, @pmt money,
	@pv money = 0.0, @type bit = 0,
	@FV money output
AS

	IF @rate = 0
		SET @fv = @pv + @pmt * @nper
	ELSE
		SET @fv = @pv * POWER(1 + @rate, @nper) +
			@pmt * (((POWER(1 + @rate, @nper + @type) - 1) / @rate) - @type)
	
	SET @fv = -@fv
GO

-- Call the sp_fv stored procedure

DECLARE @fv money

EXECUTE sp_fv 0.10, 24, 1000, 10000, 0, @fv OUTPUT

SELECT @fv 'From sp_fv'
GO

-- Call the sp_fv stored procedure

SELECT dbo.fn_fv(0.10, 24, 1000, 10000, 0) as 'From fn_fv'
GO
