/***************************************************
** Microsoft SQL Server 2000 Programming by Example
** ISBN 0-7897-2449-9
** Carlos Eduardo Rojas and Fernando G. Guerrero
** Copyright 2001 by QUE Corporation,
** Source code. Listing 10.25, Version 1.0, 2001-04-04
****************************************************/


USE Northwind
GO

CREATE PROCEDURE sp_TopTenOrders
AS

	DECLARE @list TABLE (
		  OrderID int
		, CustomerID nchar(5)
		, OrderDate datetime
		, TotalValue money)
	
	INSERT @List
		SELECT O.OrderID, CustomerID, OrderDate, TotalValue
		FROM Orders O
			JOIN (
				SELECT OrderID
					, SUM(dbo.TotalPrice(Quantity, UnitPrice, Discount)) AS TotalValue
				FROM [Order Details]
				GROUP BY OrderID
			) AS OD
				ON O.OrderID = OD.OrderID
	
	SELECT TOP 10 WITH TIES
		OrderID, CustomerID, OrderDate, TotalValue
	FROM @List
	ORDER BY TotalValue DESC
GO

EXECUTE sp_TopTenOrders
GO

SELECT *
FROM tv_TopTenOrders()
GO
