/***************************************************
** Microsoft SQL Server 2000 Programming by Example
** ISBN 0-7897-2449-9
** Carlos Eduardo Rojas and Fernando G. Guerrero
** Copyright 2001 by QUE Corporation,
** Source code. Listing 11.6, Version 1.0, 2001-04-04
****************************************************/


USE Northwind
GO

SET NOCOUNT ON
GO

-- Orders placed by clients from London
-- and EmployeeID = 1

SELECT OrderID, CustomerID, EmployeeID, OrderDate 
FROM Orders
WHERE CustomerID IN (
		SELECT CustomerID
		FROM Customers
		WHERE City = 'London'
	)
	AND EmployeeID = 1

-- Select all the products with the UnitPrice 
-- greater than all the products from Category 2

SELECT ProductID, ProductName, UnitPrice
FROM Products
WHERE UnitPrice > ALL (
		SELECT UnitPrice
		FROM Products
		WHERE CategoryID = 2
	)

-- Select all the order details related to products from category 2
-- and OrderID between 10250 and 10300

SELECT OD.OrderID, OD.ProductID, OD.UnitPrice
FROM [Order Details] OD
	JOIN (
			SELECT ProductID
			FROM Products
			WHERE CategoryID = 2
		) AS P
		ON P.ProductID = OD.ProductID
WHERE OrderID BETWEEN 10250 AND 10300

-- List all the products only if there are any products never ordered

SELECT ProductID, ProductName
FROM Products
WHERE EXISTS (
		SELECT Products.ProductID
		FROM Products
			LEFT OUTER JOIN [Order Details]
				ON Products.ProductID = [Order Details].ProductID
		WHERE [Order Details].ProductID IS NULL
	)
