/***************************************************
** Microsoft SQL Server 2000 Programming by Example
** ISBN 0-7897-2449-9
** Carlos Eduardo Rojas and Fernando G. Guerrero
** Copyright 2001 by QUE Corporation,
** Source code. Listing 11.8, Version 1.0, 2001-04-04
****************************************************/


USE Northwind
GO

SET NOCOUNT ON
GO

-- Show name of product and category for products of categories 1 to 3

SELECT CategoryName, ProductName
FROM Products P
	JOIN (
			SELECT CategoryID, CategoryName
			FROM Categories
			WHERE CategoryID BETWEEN 1 AND 3
		) AS C
		ON C.CategoryID = P.CategoryID
WHERE ProductName LIKE 'L%'

-- Show if we have beverage sales

SELECT 'We do have beverage Sales'
AS [Beverage Sales]
WHERE EXISTS(
		SELECT *
		FROM [Order details] O
			JOIN Products P
				ON O.ProductID = P.ProductID
		WHERE P.CategoryID = 1
	)

UNION

SELECT 'We do not have any beverage Sales'
WHERE NOT EXISTS(
		SELECT *
		FROM [Order details] O
			JOIN Products P
				ON O.ProductID = P.ProductID
		WHERE P.CategoryID = 1
	)
