/***************************************************
** Microsoft SQL Server 2000 Programming by Example
** ISBN 0-7897-2449-9
** Carlos Eduardo Rojas and Fernando G. Guerrero
** Copyright 2001 by QUE Corporation,
** Source code. Listing 11.10, Version 1.0, 2001-04-04
****************************************************/


USE Northwind
GO

SET NOCOUNT ON
GO

-- Retrieve all the categories with products

-- This solution uses a subquery and retrieves 1 row

PRINT 'Using a Subquery' + CHAR(10)

SELECT CategoryName
FROM Categories
WHERE CategoryID IN
	(
		SELECT CategoryID
		FROM Products
	)
	AND Description LIKE '%pasta%'

-- This solution does not use a subquery but it retrieves 7 rows

PRINT 'Without Using a Subquery' + CHAR(10)

SELECT CategoryName
FROM Categories
	JOIN Products
		ON Products.categoryID = Categories.CategoryID
WHERE Description LIKE '%pasta%'

-- This solution does not use a subquery but it retrieves 1 row again

PRINT 'Using DISTINCT Without a Subquery' + CHAR(10)

SELECT DISTINCT CategoryName
FROM Categories
	JOIN Products
		ON Products.categoryID = Categories.CategoryID
WHERE Description LIKE '%pasta%'
