/***************************************************
** Microsoft SQL Server 2000 Programming by Example
** ISBN 0-7897-2449-9
** Carlos Eduardo Rojas and Fernando G. Guerrero
** Copyright 2001 by QUE Corporation,
** Source code. Listing 11.13, Version 1.0, 2001-04-04
****************************************************/


USE Northwind
GO

SET NOCOUNT ON
GO

-- As in the first example from Listing 11-12
-- but in this case we select only products with orders

SELECT ProductID
	, UnitPrice
	, (
			SELECT AVG(UnitPrice)
			FROM [Order Details]
			WHERE [Order Details].ProductID = Products.ProductID
	) AS AvgPrice
	, (
			SELECT MIN(UnitPrice)
			FROM [Order Details]
			WHERE [Order Details].ProductID = Products.ProductID
	) AS MaxPrice
	, ProductName
FROM Products
WHERE EXISTS (
		SELECT *
		FROM [Order Details]
		WHERE [Order Details].ProductID = Products.productID
	)
	AND CategoryID = 1
