/***************************************************
** Microsoft SQL Server 2000 Programming by Example
** ISBN 0-7897-2449-9
** Carlos Eduardo Rojas and Fernando G. Guerrero
** Copyright 2001 by QUE Corporation,
** Source code. Listing 11.14, Version 1.0, 2001-04-04
****************************************************/


USE Northwind
GO

SET NOCOUNT ON
GO

-- Retrieve the list of Cities where we have more than one customer, 
-- ordered by City and CompanyName

-- With Correlated Subquery

SELECT City, CompanyName
FROM Customers C1
WHERE City IN (
		SELECT City
		FROM Customers C2
		WHERE C2.CustomerID <> C1.CustomerID
	)
	AND Country = 'Argentina'
ORDER BY City, CompanyName

-- Without Subqueries

SELECT DISTINCT C1.City, C1.CompanyName
FROM Customers C1
	JOIN Customers AS C2
		ON C2.City = C1.City
WHERE C2.CustomerID <> C1.CustomerID
	AND C1.Country = 'Argentina'
ORDER BY C1.City, C1.CompanyName
