/***************************************************
** Microsoft SQL Server 2000 Programming by Example
** ISBN 0-7897-2449-9
** Carlos Eduardo Rojas and Fernando G. Guerrero
** Copyright 2001 by QUE Corporation,
** Source code. Listing 11.16, Version 1.0, 2001-04-04
****************************************************/


USE Northwind
GO

SET NOCOUNT ON
GO

-- Use simple CASE to expand abreviations

SELECT CASE Country
			WHEN 'UK' THEN 'United Kingdom'
			WHEN 'USA' THEN 'United States of America'
			ELSE Country
			END AS Country
	, CompanyName
FROM Customers
ORDER BY 1, 2

-- Use simple CASE to define logical values

SELECT ProductName
	, CASE Discontinued
		WHEN 1 THEN 'Discontinued'
		ELSE 'Available'
		END AS Status
FROM Products

-- Use simple CASE to produce verbose results

SELECT CompanyName
	, OrderID
	, CASE YEAR(OrderDate)
		WHEN YEAR(Getdate()) THEN 'This Year'
		WHEN YEAR(GetDate()) - 1 THEN 'Last year'
		ELSE CAST(DATEDIFF(year, OrderDate, Getdate()) AS varchar(5)) + ' years ago'
		END AS 'When'
FROM Orders
	JOIN Customers
		ON Orders.CustomerID = Customers.CustomerID
