/***************************************************
** Microsoft SQL Server 2000 Programming by Example
** ISBN 0-7897-2449-9
** Carlos Eduardo Rojas and Fernando G. Guerrero
** Copyright 2001 by QUE Corporation,
** Source code. Listing 11.17, Version 1.0, 2001-04-04
****************************************************/


USE Northwind
GO

SET NOCOUNT ON
GO

-- Use searched CASE to define regions

SELECT CASE
		WHEN Country IN ('Argentina', 'Brazil', 'Venezuela') 
			THEN 'South America'
		WHEN Country IN ('Canada', 'USA') 
			THEN 'North America'
		WHEN Country IN ('Mexico') 
			THEN 'Central America'
		WHEN Country IN ('Austria', 'Belgium', 'Denmark'
				, 'Finland', 'France', 'Germany', 'Ireland'
				, 'Italy', 'Norway', 'Poland','Portugal'
				, 'Spain', 'Sweden', 'Switzerland', 'UK') 
			THEN 'Europe'
		ELSE 'Undefined'
		END AS Continent
	, CompanyName
FROM Customers

-- Use searched CASE to define ranges of values

SELECT ProductName
	, CASE
		WHEN UnitPrice < 10 THEN 'Inexpensive'
		WHEN UnitPrice < 50 THEN 'Fair'
		WHEN UNitPrice < 100 THEN 'Expensive'
		ELSE 'Very Expensive'
		END AS Price
FROM products

-- Use searched CASE to get values that depend on data from other tables
-- in this example using a correlated subquery

SELECT CategoryName
	, CASE
		WHEN EXISTS (
				SELECT *
				FROM Products P
				WHERE P.CategoryID = C.CategoryID
			)
			THEN 'Yes' 
		ELSE 'No' 
		END AS 'Has products'
FROM Categories C
