/***************************************************
** Microsoft SQL Server 2000 Programming by Example
** ISBN 0-7897-2449-9
** Carlos Eduardo Rojas and Fernando G. Guerrero
** Copyright 2001 by QUE Corporation,
** Source code. Listing 12.7, Version 1.0, 2001-04-04
****************************************************/


USE Northwind
GO

SET NOCOUNT ON
GO

------------------
-- Without cursors
------------------

SELECT CompanyName, OrderDate
FROM Customers
	JOIN Orders
		ON Customers.CustomerID = Orders.CustomerID
WHERE Country = 'USA'
ORDER BY CompanyName, OrderDate

----------------
-- Using cursors
----------------

-- Declare host variables

DECLARE @ID nchar(5), @Name nvarchar(40)
	, @Country nvarchar(15), @OrderDate datetime

-- Declare products cursor

DECLARE MyCustomers CURSOR LOCAL
FOR
	SELECT CustomerID, CompanyName, Country
	FROM Customers

-- Open Customers Cursor

OPEN MyCustomers

-- Search for first customer

FETCH NEXT FROM MyCustomers
	INTO @ID, @Name, @Country

WHILE @@FETCH_STATUS=0
BEGIN

	IF @Country = 'USA'
	BEGIN
	
		-- Declare Orders cursor
		
		DECLARE MyOrders CURSOR LOCAL
		FOR
			SELECT OrderDate
			FROM Orders
			WHERE CustomerID = @ID
		
		-- Open Orders cursor
		
		OPEN MyOrders
		
		-- Search for first Order
		
		FETCH NEXT FROM MyOrders
			INTO @OrderDate
		
		WHILE @@FETCH_STATUS=0
		BEGIN
		
			SELECT @Name AS 'Company Name'
				, @OrderDate AS 'Order Date'
			
			-- Search for next Order
			
			FETCH NEXT FROM MyOrders
				INTO @OrderDate
			
		END
		
		-- Close Orders cursor
		
		CLOSE MyOrders
		
		--Deallocate Orders cursor
		
		DEALLOCATE MyOrders
		
	END
	
	-- Search for next Customer
	
	FETCH NEXT FROM MyCustomers
		INTO @ID, @Name, @Country
	
END

-- Close Customers cursor

CLOSE MyCustomers

-- Deallocate Customers cursor

DEALLOCATE MyCustomers
