/***************************************************
** Microsoft SQL Server 2000 Programming by Example
** ISBN 0-7897-2449-9
** Carlos Eduardo Rojas and Fernando G. Guerrero
** Copyright 2001 by QUE Corporation,
** Source code. Listing 12.8, Version 1.0, 2001-04-04
****************************************************/


USE Northwind
GO

SET NOCOUNT ON
GO

-- Start a new transaction
-- so we can rollback the changes

BEGIN TRAN

	DECLARE @ID int, @name nvarchar(40)
	
	-- Declare the cursor
	
	DECLARE MyProducts CURSOR STATIC
	FOR
		SELECT ProductID, ProductName
		FROM Products
		WHERE ProductID > 70
		ORDER BY ProductID
	
	-- Open the cursor
	
	OPEN MyProducts
	
	-- Search for a new row from the cursor
	
	FETCH NEXT FROM MyProducts
		INTO @ID, @name
	
	-- Update directly the Products table
	
	UPDATE Products
	SET ProductName = 'NewName'
	WHERE ProductID > 70
	
	-- Delete one row from the Products table
	
	DELETE [Order details]
	WHERE ProductID = 75
	
	DELETE Products
	WHERE ProductID = 75
	
	-- Add a new row to the Products table
	
	INSERT Products (ProductName)
	VALUES ('New Product')
	
	-- While the fetch is successful
	
	WHILE @@FETCH_STATUS <> -1
	BEGIN
	
		IF @@FETCH_STATUS = -2
			-- Row has been deleted
			PRINT CHAR(10) + 'Missing Row' + CHAR(10)
		ELSE
			-- Show the values from the cursor
			SELECT @ID, @Name
		
		-- Search for the new row
		
		FETCH NEXT FROM MyProducts
			INTO @ID, @Name
	END
	
	-- Close the cursor
	
	CLOSE MyProducts
	
	-- Destroy the cursor
	
	DEALLOCATE MyProducts

-- Undo changes

ROLLBACK TRAN
