/***************************************************
** Microsoft SQL Server 2000 Programming by Example
** ISBN 0-7897-2449-9
** Carlos Eduardo Rojas and Fernando G. Guerrero
** Copyright 2001 by QUE Corporation,
** Source code. Listing 13.20, Version 1.0, 2001-04-04
****************************************************/


USE Northwind
GO

-- Start a transaction

BEGIN TRAN

	-- Get OBJECT_IDs to interpret the sp_lock output
	
	SELECT OBJECT_ID('Order details') as 'Order details'
	SELECT OBJECT_ID('Orders') as 'Orders'
	SELECT OBJECT_ID('Products') as 'Products'
	
	-- Get current locks to use as a baseline to further executions of sp_lock
	
	PRINT 'Initial lock status' + CHAR(10)
	
	EXEC sp_lock
	
	-- Execute a standard SELECT statement
	
	SELECT MAX(OrderID)
	FROM Orders
	WHERE CustomerID = 'ALFKI'
	
	-- Get locks status after the SELECT statement
	
	PRINT CHAR(10) + 'Lock status after SELECT' + CHAR(10)
	
	EXEC sp_lock
	
	-- Perform an INSERT statement in Order details,
	-- reading from Orders and Products
	
	INSERT [Order Details]
		(OrderID, ProductID, Unitprice, Quantity, Discount)
	SELECT
		(
			SELECT MAX(OrderID)
			FROM Orders (HOLDLOCK)
			WHERE CustomerID = 'ALFKI'
		)
		, ProductID, UnitPrice, 10, 0.1
	FROM Products (REPEATABLEREAD)
	WHERE ProductName = 'Tofu'
	
	-- Get locks status after the INSERT statement
	
	PRINT CHAR(10) + 'Lock status after INSERT' + CHAR(10)
	
	EXEC sp_lock

ROLLBACK TRAN

-- Get locks status after the ROLLBACK statement

PRINT CHAR(10) + 'Lock status after ROLLBACK' + CHAR(10)

EXEC sp_lock
