/***************************************************
** Microsoft SQL Server 2000 Programming by Example
** ISBN 0-7897-2449-9
** Carlos Eduardo Rojas and Fernando G. Guerrero
** Copyright 2001 by QUE Corporation,
** Source code. Listing 13.21, Version 1.0, 2001-04-04
****************************************************/


USE Northwind
GO

-- Start a transaction

BEGIN TRAN

	-- Get OBJECT_ID to interpret the sp_lock output
	
	SELECT OBJECT_ID('Products') as 'Products'
	
	-- Get current locks to use as a baseline to further executions of sp_lock
	
	PRINT 'Initial lock status' + CHAR(10)
	
	EXEC sp_lock
	
	-- Execute a mock UPDATE statement
	
	UPDATE Products
	SET UnitPrice = UnitPrice
	WHERE ProductID = 28
	
	-- Get locks status after the mock UPDATE statement
	
	PRINT CHAR(10) 
		+ 'Lock status after the mock UPDATE' 
		+ CHAR(10)
	
	EXEC sp_lock
	
	-- Execute a real UPDATE statement
	
	UPDATE Products
	SET UnitPrice = UnitPrice * 1.5
	WHERE ProductID = 35
	
	-- Get locks status after the real UPDATE statement
	
	PRINT CHAR(10) 
		+ 'Lock status after the real UPDATE' 
		+ CHAR(10)
	
	EXEC sp_lock

ROLLBACK TRAN
