/***************************************************
** Microsoft SQL Server 2000 Programming by Example
** ISBN 0-7897-2449-9
** Carlos Eduardo Rojas and Fernando G. Guerrero
** Copyright 2001 by QUE Corporation,
** Source code. Listing 15.16, Version 1.0, 2001-04-04
****************************************************/


PRINT 'Selecting data from a linked server'
	+ CHAR(10)

SELECT CategoryID, CategoryName
FROM [SQLBE\Inst3].northwind.dbo.categories
WHERE CategoryID BETWEEN 1 AND 3

PRINT 'Inserting a row into a linked server'
	+ CHAR(10)

INSERT SQLBEInst2.Northwind.dbo.Categories
	(CategoryName)
VALUES('More products')

PRINT 'Updating a row from a linked server'
	+ CHAR(10)

UPDATE SQLBEInst2.Northwind.dbo.Categories
SET CategoryName = 'Extra Products'
WHERE CategoryName = 'More products'

PRINT 'Deleting a row from a linked server'
	+ CHAR(10)

DELETE NewSQLBEInst2.Northwind.dbo.Categories
WHERE CategoryName = 'Extra Products'

PRINT 'Join data coming from linked servers'
	+ CHAR(10)

SELECT OrderDate, Quantity, OD.UnitPrice
	, CategoryName, ProductName
FROM [SQLBE\Inst3].northwind.dbo.categories C
	JOIN SQLBEInst2.Northwind.dbo.Products P
		ON P.CategoryID = C.CategoryID
	JOIN NewSQLBEInst2.Northwind.dbo.[Order Details] OD
		ON OD.ProductID = P.ProductID
	JOIN Northwind.dbo.Orders O
		ON O.OrderID = OD.OrderID
WHERE P.CategoryID = 1
	AND Year(OrderDate ) = 1998 AND CustomerID = 'BSBEV'
