/***************************************************
** Microsoft SQL Server 2000 Programming by Example
** ISBN 0-7897-2449-9
** Carlos Eduardo Rojas and Fernando G. Guerrero
** Copyright 2001 by QUE Corporation,
** Source code. Listing 15.24B, Version 1.0, 2001-04-04
****************************************************/


--------------------------------------------
-- NOTE NOTE NOTE NOTE NOTE NOTE NOTE NOTE
--
-- Execute from here in the SQLBE instance
-- and make sure that MS-DTC is running
--
-- NOTE NOTE NOTE NOTE NOTE NOTE NOTE NOTE
--------------------------------------------

USE Northwind
GO

SET XACT_ABORT ON
GO

-- Populate the new table with information
-- from the same table in the SQLBE instance

INSERT SQLBEInst2.Northwind.dbo.SalesInfoEast
	SELECT *
	FROM SalesInfoEast

INSERT SQLBEInst2.Northwind.dbo.SalesInfoWest
	SELECT *
	FROM SalesInfoWest
GO

-- Create a View that gets the entire
-- SalesInfo informations
-- Note the use of UNION ALL

CREATE VIEW DistSalesInfo
AS
		SELECT *
		FROM Northwind.dbo.SalesInfoNorth
	UNION ALL
		SELECT *
		FROM Northwind.dbo.SalesInfoSouth
	UNION ALL
		SELECT *
		FROM SQLBEInst2.Northwind.dbo.SalesInfoEast
	UNION ALL
		SELECT *
		FROM SQLBEInst2.Northwind.dbo.SalesInfoWest
GO

SELECT COUNT(*) AS NorthBefore
FROM SalesInfoNorth

SELECT COUNT(*) AS EastBefore
FROM SQLBEInst2.Northwind.dbo.SalesInfoEast

UPDATE DistSalesInfo
SET RegionID = 1
WHERE OrderID = 10602

SELECT COUNT(*) AS NorthAfter
FROM SalesInfoNorth

SELECT COUNT(*) AS EastAfter
FROM SQLBEInst2.Northwind.dbo.SalesInfoEast
GO
